# libscterm — Terminal utilities and I/O-manipulators for ANSI escapes

C++ library with terminal utilities and I/O-manipulators for ANSI escapes. Full
support for NO_COLOR environment variable.

## Build

`make`

after installing dependency:

- [libscerror](https://git.bobpolis.com/bob/libscerror/)

## Install

`sudo make install`

or, on OpenBSD:

`doas gmake install`

## Documentation

In progress. For now, please consult the library header at
`/usr/local/include/libscterm.hpp`, after successful installation.

## Test

`make test`

will run a tool showcasing most of the possibilities. This tool was formerly a
separate project: `progress`, still [available on this
server](https://git.bobpolis.com/bob/progress/) for its history.

